# gettemp: a program to display temperature data from Sun prtdiag command
# Copyright 1999-2002 by Alek Komarnitsky, alek@komar.org, http://www.komar.org/
# Use and distribution of this software is covered by the GNU GPL license.  
# Please see the LICENSE file and http://www.gnu.org/
#
# Customize variables below as per your site - should be fairly static between releases

# Top level directory for stuff ...
$GETTEMP_ROOT = "/home/swatch/gettemp";

# Path and options to gettemp executeable on remote machine
$GETTEMP_EXEC = "/usr/local/share/bin/gettemp -noheader -ambient_cpu_only -gettemp.all";

# Where to store the data files for ongoing tracking
$DATA_DIR = "$GETTEMP_ROOT/data";

# The path to the file to log current status - simply cool or HOT!
$CURRENT_DATA_DIR = "$DATA_DIR/../current";

# The path to the directory to log hot/warm events in the last $RECENT_TIME
$RECENT_DATA_DIR = "$DATA_DIR/../recent_warm_hot";
$RECENT_TIME = 24*60*60;

# The filesystem & web path to the HTML file to generate (default Celsius temp)
# You NEED to define this
$HTML_FILE = "$DATA_DIR/../temp.c.html";
$HTML_WEB = "http://WEBSERVER.domain/gettemp/temp.c.html";

#This is optional in case you want to display ambient temps only
$AMBIENT_FILE = "$DATA_DIR/../ambient.c.html";
$AMBIENT_WEB = "http://WEBSERVER.domain/gettemp/ambient.c.html";

# The filesystem & web path to the HTML file to generate (with Fahrenheit)
# This is optional ... comment out and no Fahrenheit data will be generated
$HTML_F_FILE = "$DATA_DIR/../index.html";
$HTML_F_WEB = "http://WEBSERVER.domain/gettemp/index.html";

#This is optional in case you want to display ambient temps only
$AMBIENT_F_FILE = "$DATA_DIR/../ambient.html";
$AMBIENT_F_WEB = "http://WEBSERVER.domain/gettemp/ambient.html";


#This is the filesystem and web path to the last abnormal temp readings ...
$ABNORMAL_FILE = "$DATA_DIR/../abnormal.html";
$ABNORMAL_WEB = "http://WEBSERVER.domain/gettemp/abnormal.html";

# The CGI path to the program to display log files
$GETTEMP_LOG_CGI = "/cgi-bin/gettemp_log.cgi";

# Timeout in seconds for rsh command
$timeout = 30;

# Update interval ... time between runs in minutes that you set up in cron
# This is used for display purposes only.
$update_interval = "10"; 

# Arbitray threshholds to see if things are warm for those machines that don't 
# report it ... Note that Sun says 73 for warning, 83 for shutdown
# These are actually used here for display purposes only, since $GETTTEMP_EXEC
# actually has these hard-coded in it to make it not require this include file
# Note that these can vary for some models ...
$ambient_warm = 25;
$cpu_warm = 60;
$delta_temp_from_warm_to_hot = 5;
$ambient_hot = $ambient_warm + $delta_temp_from_warm_to_hot;
$cpu_hot = $cpu_warm + $delta_temp_from_warm_to_hot;

# The ping command - this is for Solaris
$PING_COMMAND = "/usr/sbin/ping ";

# Go ahead and turn on alerting with appropriate command and message
# This is optional ... comment out and no alerts will be sent
$send_alert = 1;
$ALERT_COMMAND = "logger -p local1.alert";
$ALERT_MESSAGE = "gettemp reports overtemp on ";

# Turn on various extra-cool (bloatware?!?  ;-)  stuff for local Site
$site_hacks = 1;

# Email address of the person responsible for this monstrosity ...
$email_address = "alek\@komar.org";

# Version number
$version = "1.8 (2002_07_14)";

# need this so "true" is returned ...
1;
